Name:           perl-Alien-CFITSIO
Version:        4.3.0.0
Release:    1%{?dist}
Summary:        Build and Install the CFITSIO library
License:        GPL-3.0-only
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Alien-CFITSIO/
Source0:        http://www.cpan.org/authors/id/D/DJ/DJERIUS/Alien-CFITSIO-v%{version}.tar.gz

%global debug_package %{nil}

BuildRequires:  cfitsio-devel >= 4.1.0
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(Alien::Base)
BuildRequires:  perl(Alien::Build) >= 0.32
BuildRequires:  perl(Alien::Build::MM) >= 0.32
BuildRequires:  perl(base)
BuildRequires:  perl(blib)
BuildRequires:  perl(constant)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(Package::Stash)
BuildRequires:  perl(strict)
BuildRequires:  perl(Sort::Versions)
BuildRequires:  perl(Test2::V0)
BuildRequires:  perl(Test::Alien) >= 2.39
BuildRequires:  perl(Test::More)
BuildRequires:  perl(warnings)
Requires:       perl(Alien::Base)
Requires:       perl(base)
Requires:       perl(constant)
Requires:       perl(strict)
Requires:       perl(warnings)
Requires:       pkgconfig(cfitsio) = %(type -p pkgconf >/dev/null && pkgconf --exists cfitsio && pkg-config --modversion cfitsio || echo 0)

%description
This module finds or builds the CFITSIO library. It supports at least
version CFITSIO 4.1.0.

%prep
%setup -q -n Alien-CFITSIO-v%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%{make_install}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%doc alienfile Changes CONTRIBUTING.md dist.ini META.json perlcritic.rc perltidy.rc README tidyall.ini weaver.ini
%{perl_vendorarch}/*
%exclude %dir %{perl_vendorarch}/auto/
%{_mandir}/man3/*

%changelog
* Mon Jul 22 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.3.0.0-1
- initial build
